API / Reference / Invoice Receivables
Create line
POST
https://api.light.inc/v1/invoice-receivables/{invoiceReceivableId}/lines
Creates a new invoice line item
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
invoiceReceivableIdstring · uuidrequired
Request body
application/json;charset=UTF-8
-
productIdstring · uuidID of the product
-
quantitynumberQuantity of the product
-
taxCodeIdstring · uuidID of the tax code to apply to this line
-
accountIdstring · uuidID of the ledger account for this line
-
discountobjectDiscount to apply to this line (can be percentage or amount-based)
-
typestring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
PERCENTAGEAMOUNT
-
-
priceOverwriteinteger · int64Price overwrite in smallest denomination. If not provided, the product's default price will be used
-
productNameOverwritestringProduct name overwrite. If not provided, the product's default name will be used
-
taxAmountOverwriteinteger · int64Tax amount override in smallest denomination. Bypasses tax calculation and sets the exact tax amount for this line.
Requirements: The line must have a valid amount (product price or priceOverwrite must be set).
The taxAmount field in the response will reflect this override value.
Amounts use smallest denomination. Examples: GBP 42.15 = 4215, JPY 12345 = 12345, BHD 7.321 = 7321.
-
avataxCodestringAvalara tax code. Used when the invoice tax engine is AVATAX
-
billingStartstring · dateStart of the billing period for this line
-
billingEndstring · dateEnd of the billing period for this line
-
accrualTemplateIdstring · uuidID of the accrual/amortization template to apply to this line
-
accrualStartDatestring · dateStart date for accrual/amortization
-
accrualEndDatestring · dateEnd date for accrual/amortization
-
customPropertiesarray of objectList of custom properties to set on the invoice or line
-
groupIdstring · uuidID of the custom property group.
-
valueIdsarray of string · uuidIDs of the selected custom property values. It behaves as a PUT operation, so if empty the existing ones will be effectively deleted.
-
inlineValuesarray of stringInline custom property values (used for TEXT/NUMERIC/DATE/etc. groups). It behaves as a PUT operation, so if empty or null the existing ones will be effectively deleted.
-
Response
-
idstring · uuidUnique identifier for the object
-
companyIdstring · uuidID of the company
-
invoiceReceivableIdstring · uuidID of the invoice receivable this line belongs to
-
productIdstring · uuidID of the product
-
quantitynumberQuantity of the product
-
taxCodeIdstring · uuidID of the tax code
-
accountIdstring · uuidID of the ledger account
-
discountobjectDiscount to apply to this line (can be percentage or amount-based)
-
typestring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
PERCENTAGEAMOUNT
-
-
discountAmountinteger · int64Discount amount in smallest denomination
-
netAmountinteger · int64Net amount in smallest denomination after discount but before tax
-
taxAmountinteger · int64Tax amount in smallest denomination
-
avataxCodestringAvalara tax code. Used when the invoice tax engine is
AVATAX -
billingStartstring · dateStart of the billing period
-
billingEndstring · dateEnd of the billing period
-
priceOverwriteinteger · int64Custom product price in smallest denomination. This overrides the default product's price
-
productNameOverwritestringCustom product name. This overrides the default product's name
-
createdAtstring · date-timeTimestamp when the line was created
-
updatedAtstring · date-timeTimestamp when the line was last updated
-
accrualTemplateIdstring · uuidID of the accrual template
-
accrualStartDatestring · dateStart date for accrual
-
accrualEndDatestring · dateEnd date for accrual
-
customPropertiesarray of objectList of custom properties associated with the line
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
valuesarray of objectList of values. Note that this will be a single value unless the group input type supports multiple values
-
idstring · uuidUnique identifier for the object
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
companyIdstring · uuidID of the company
-
internalNamestringInternal name of the custom property value
-
labelstringLabel of the custom property value
-
contextstringContext/description of the custom property value
-
createdAtstring · date-timeTimestamp when the custom property value was created
-
updatedAtstring · date-timeTimestamp when the custom property value was last updated
-
-